# indicator-china-weather

The weather data are from the heweather API s6 version.

![](./doc/weather_zh_CN.png)

### Author's Home Page
 
[Eight Plus &rarr;](https://eightplus.github.io/)



### v1.0 test url

+ http://service.ubuntukylin.com:8001/weather/api/1.0/observe/101250101/

+ http://service.ubuntukylin.com:8001/weather/api/1.0/heweather_forecast/101250101/

+ http://service.ubuntukylin.com:8001/weather/pingnetwork/

+ http://service.ubuntukylin.com:8001/weather/pinginformation/


### v2.0 test url

+ http://service.ubuntukylin.com:8001/weather/api/2.0/heweather_observe_s6/101250101

+ http://service.ubuntukylin.com:8001/weather/api/2.0/heweather_forecast_s6/101250101

+ https://free-api.heweather.com/s6/weather?location=CN101250101&key=xxxx

+ https://free-api.heweather.com/s6/air/now?location=CN101250101&key=xxxx


### v3.0 test url

+ http://service.ubuntukylin.com:8001/weather/api/3.0/heweather_data_s6/101250101

+ https://free-api.heweather.net/s6/weather?location=CN101250101&key=xxxx

+ https://free-api.heweather.net/s6/air/now?location=CN101250101&key=xxxx


### Internationalization

1. lupdate indicator-china-weather.pro
2. linguist translation/indicator-china-weather_zh_CN.ts
3. lrelease indicator-china-weather.pro


### Lintian

lintian -i -EvIL +pedantic --verbose ../indicator-china-weather_3.0.0_amd64.changes




### 和风天气图标
[官方地址](https://dev.heweather.com/docs/refer/condition)

#### 下载
[图片打包下载](https://cdn.heweather.com/cond-icon-heweather.zip)

#### 使用
* 图标文件名为天气代码，后缀为.png
* 图标文件名中有字母`n`的，为夜间天气图标，例如[100n.png](https://cdn.heweather.com/cond_icon/100n.png "晴天图标")

#### 天气代码对照表
| 代码 | 中文 | 英文 | 图标 |
|---|---|---|---|
| 100 | 晴 | Sunny/Clear |[100.png](https://cdn.heweather.com/cond_icon/100.png "晴天图标")|
| 101 | 多云 | Cloudy | [101.png](https://cdn.heweather.com/cond_icon/101.png "多云图标") |
| 102 | 少云 | Few Clouds | [102.png](https://cdn.heweather.com/cond_icon/102.png "少云图标") |
| 103 | 晴间多云 | Partly Cloudy | [103.png](https://cdn.heweather.com/cond_icon/103.png "晴间多云图标") |
| 104 | 阴 | Overcast | [104.png](https://cdn.heweather.com/cond_icon/104.png "阴图标") |
| 200 | 有风 | Windy | [200.png](https://cdn.heweather.com/cond_icon/200.png "有风图标") |
| 201 | 平静 | Calm | [201.png](https://cdn.heweather.com/cond_icon/201.png "平静图标") |
| 202 | 微风 | Light Breeze | [202.png](https://cdn.heweather.com/cond_icon/202.png "微风图标") |
| 203 | 和风 | Moderate/Gentle Breeze | [203.png](https://cdn.heweather.com/cond_icon/203.png "和风图标") |
| 204 | 清风 | Fresh Breeze | [204.png](https://cdn.heweather.com/cond_icon/204.png "清风图标") |
| 205 | 强风/劲风 | Strong Breeze | [205.png](https://cdn.heweather.com/cond_icon/205.png "强风图标") |
| 206 | 疾风 | High Wind, Near Gale | [206.png](https://cdn.heweather.com/cond_icon/206.png "疾风图标") |
| 207 | 大风 | Gale | [207.png](https://cdn.heweather.com/cond_icon/207.png "大风图标") |
| 208 | 烈风 | Strong Gale | [208.png](https://cdn.heweather.com/cond_icon/208.png "烈风图标") |
| 209 | 风暴 | Storm | [209.png](https://cdn.heweather.com/cond_icon/209.png "风暴图标") |
| 210 | 狂爆风 | Violent Storm | [210.png](https://cdn.heweather.com/cond_icon/210.png "狂爆风图标") |
| 211 | 飓风 | Hurricane | [211.png](https://cdn.heweather.com/cond_icon/211.png "飓风图标") |
| 212 | 龙卷风 | Tornado | [212.png](https://cdn.heweather.com/cond_icon/212.png "龙卷风图标") |
| 213 | 热带风暴 | Tropical Storm | [213.png](https://cdn.heweather.com/cond_icon/213.png "热带风暴图标") |
| 300 | 阵雨 | Shower Rain | [300.png](https://cdn.heweather.com/cond_icon/300.png "阵雨图标") |
| 301 | 强阵雨 | Heavy Shower Rain | [301.png](https://cdn.heweather.com/cond_icon/301.png "强阵雨图标") |
| 302 | 雷阵雨 | Thundershower | [302.png](https://cdn.heweather.com/cond_icon/302.png "雷阵雨图标") |
| 303 | 强雷阵雨 | Heavy Thunderstorm | [303.png](https://cdn.heweather.com/cond_icon/303.png "强雷阵雨图标") |
| 304 | 雷阵雨伴有冰雹 | Hail | [304.png](https://cdn.heweather.com/cond_icon/304.png "雷阵雨伴有冰雹图标") |
| 305 | 小雨 | Light Rain | [305.png](https://cdn.heweather.com/cond_icon/305.png "小雨图标") |
| 306 | 中雨 | Moderate Rain | [306.png](https://cdn.heweather.com/cond_icon/306.png "中雨图标") |
| 307 | 大雨 | Heavy Rain | [307.png](https://cdn.heweather.com/cond_icon/307.png "大雨图标") |
| 308 | 极端降雨 | Extreme Rain | [308.png](https://cdn.heweather.com/cond_icon/308.png "极端降雨图标") |
| 309 | 毛毛雨/细雨 | Drizzle Rain | [309.png](https://cdn.heweather.com/cond_icon/309.png "毛毛雨图标") |
| 310 | 暴雨 | Storm | [310.png](https://cdn.heweather.com/cond_icon/310.png "暴雨图标") |
| 311 | 大暴雨 | Heavy Storm | [311.png](https://cdn.heweather.com/cond_icon/311.png "大暴雨图标") |
| 312 | 特大暴雨 | Severe Storm | [312.png](https://cdn.heweather.com/cond_icon/312.png "特大暴雨图标") |
| 313 | 冻雨 | Freezing Rain | [313.png](https://cdn.heweather.com/cond_icon/313.png "冻雨图标") |
| 314 | 小到中雨 | Light to moderate rain | [314.png](https://cdn.heweather.com/cond_icon/314.png "小到中雨图标") |
| 315 | 中到大雨 | Moderate to heavy rain | [315.png](https://cdn.heweather.com/cond_icon/315.png "中到大雨图标") |
| 316 | 大到暴雨| Heavy rain to storm | [316.png](https://cdn.heweather.com/cond_icon/316.png "大到暴雨图标") |
| 317 | 暴雨到大暴雨 | Storm to heavy storm | [317.png](https://cdn.heweather.com/cond_icon/317.png "暴雨到大暴雨图标") |
| 318 | 大暴雨到特大暴雨 | Heavy to severe storm | [318.png](https://cdn.heweather.com/cond_icon/318.png "大暴雨到特大暴雨图标") |
| 399 | 雨 | Rain | [399.png](https://cdn.heweather.com/cond_icon/399.png "雨图标") |
| 400 | 小雪 | Light Snow | [400.png](https://cdn.heweather.com/cond_icon/400.png "小雪图标") |
| 401 | 中雪 | Moderate Snow | [401.png](https://cdn.heweather.com/cond_icon/401.png "中雪图标") |
| 402 | 大雪 | Heavy Snow | [402.png](https://cdn.heweather.com/cond_icon/402.png "大雪图标") |
| 403 | 暴雪 | Snowstorm | [403.png](https://cdn.heweather.com/cond_icon/403.png "暴雪图标") |
| 404 | 雨夹雪 | Sleet | [404.png](https://cdn.heweather.com/cond_icon/404.png "雨夹雪图标") |
| 405 | 雨雪天气 | Rain And Snow | [405.png](https://cdn.heweather.com/cond_icon/405.png "雨雪天气图标") |
| 406 | 阵雨夹雪 | Shower Snow | [406.png](https://cdn.heweather.com/cond_icon/406.png "阵雨夹雪图标") |
| 407 | 阵雪 | Snow Flurry | [407.png](https://cdn.heweather.com/cond_icon/407.png "阵雪图标") |
| 408 | 小到中雪 | Light to moderate snow | [408.png](https://cdn.heweather.com/cond_icon/408.png "小到中雪图标") |
| 409 | 中到大雪 | Moderate to heavy snow | [409.png](https://cdn.heweather.com/cond_icon/409.png "中到大雪图标") |
| 410 | 大到暴雪 | Heavy snow to snowstorm | [410.png](https://cdn.heweather.com/cond_icon/410.png "大到暴雪图标") |
| 499 | 雪 | Snows | [499.png](https://cdn.heweather.com/cond_icon/499.png "雪图标") |
| 500 | 薄雾 | Mist | [500.png](https://cdn.heweather.com/cond_icon/500.png "薄雾图标") |
| 501 | 雾 | Foggy | [501.png](https://cdn.heweather.com/cond_icon/501.png "雾图标") |
| 502 | 霾 | Haze | [502.png](https://cdn.heweather.com/cond_icon/502.png "霾图标") |
| 503 | 扬沙 | Sand | [503.png](https://cdn.heweather.com/cond_icon/503.png "扬沙图标") |
| 504 | 浮尘 | Dust | [504.png](https://cdn.heweather.com/cond_icon/504.png "浮尘图标") |
| 507 | 沙尘暴 | Duststorm | [507.png](https://cdn.heweather.com/cond_icon/507.png "沙尘暴图标") |
| 508 | 强沙尘暴 | Sandstorm | [508.png](https://cdn.heweather.com/cond_icon/508.png "强沙尘暴图标") |
| 509 | 浓雾 | Dense fog | [509.png](https://cdn.heweather.com/cond_icon/509.png "浓雾图标") |
| 510 | 强浓雾 | Strong fog | [510.png](https://cdn.heweather.com/cond_icon/510.png "强浓雾图标") |
| 511 | 中度霾 | Moderate haze | [511.png](https://cdn.heweather.com/cond_icon/511.png "中度霾图标") |
| 512 | 重度霾 | Heavy haze | [512.png](https://cdn.heweather.com/cond_icon/512.png "重度霾图标") |
| 513 | 严重霾 | Severe haze | [513.png](https://cdn.heweather.com/cond_icon/513.png "重度霾图标") |
| 514 | 大雾 | Heavy fog | [514.png](https://cdn.heweather.com/cond_icon/514.png "大雾图标") |
| 515 | 特强浓雾 | Extra heavy fog | [515.png](https://cdn.heweather.com/cond_icon/515.png "特强浓雾图标") |
| 900 | 热 | Hot | [900.png](https://cdn.heweather.com/cond_icon/900.png "热图标") |
| 901 | 冷 | Cold | [901.png](https://cdn.heweather.com/cond_icon/901.png "冷图标") |
| 999 | 未知 | Unknown | [999.png](https://cdn.heweather.com/cond_icon/999.png "未知图标") |
